package com.os.mes.api.domain;


import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * ERP接口请求参数实体
 * @Author YinQ
 * @create 2023-09-26 14:46
 */
public class ERPParamDto {

    private static final long serialVersionUID = 1L;

    @JsonProperty(value = "AppCode")
    private String AppCode;
    @JsonProperty(value = "Controller")
    private String Controller;
    @JsonProperty(value = "ActionName")
    private String ActionName;
    @JsonProperty(value = "SeqNo")
    private String SeqNo; // 任务编号
    @JsonProperty(value = "ProductStatus")
    private String ProductStatus; // 产品状态
    @JsonProperty(value = "OrderStartTime")
    private String OrderStartTime; // 下单日期_开始时间
    @JsonProperty(value = "OrderEndTime")
    private String OrderEndTime; // 下单日期_截止时间


    public String getAppCode() {
        return AppCode;
    }

    public void setAppCode(String appCode) {
        AppCode = appCode;
    }

    public String getController() {
        return Controller;
    }

    public void setController(String controller) {
        Controller = controller;
    }

    public String getActionName() {
        return ActionName;
    }

    public void setActionName(String actionName) {
        ActionName = actionName;
    }

    public String getSeqNo() {
        return SeqNo;
    }

    public void setSeqNo(String seqNo) {
        SeqNo = seqNo;
    }

    public String getProductStatus() {
        return ProductStatus;
    }

    public void setProductStatus(String productStatus) {
        ProductStatus = productStatus;
    }

    public String getOrderStartTime() {
        return OrderStartTime;
    }

    public void setOrderStartTime(String orderStartTime) {
        OrderStartTime = orderStartTime;
    }

    public String getOrderEndTime() {
        return OrderEndTime;
    }

    public void setOrderEndTime(String orderEndTime) {
        OrderEndTime = orderEndTime;
    }
}
